<?php
    if ($_POST['key'] >= 0 && is_file('../../../usuarios/'.$_COOKIE['usuario'].'.txt') == true) {
        $tareas = [];
        if($_SERVER['SERVER_NAME'] == 'host.ciberweb.com' && $_SERVER['HTTPS'] == 'on' && is_file('./tareas/'.$_COOKIE['usuario'].'.txt') == true){
            $tareas = json_decode(file_get_contents('./tareas/'.$_COOKIE['usuario'].'.txt'), true);
        }
        //file_put_contents('./tareas/ULTIMO_ID_'.$_COOKIE['usuario'].'.txt', array_key_last($tareas));
        unset($tareas[$_POST['key']]);
        file_put_contents('./tareas/'.$_COOKIE['usuario'].'.txt', json_encode($tareas));
        echo 1;
    } else {
        echo 0;
    }
?>